Summary:	C++ interface for Clutter
Name:		cluttermm
Version:	0.9.6
Release:	1%{?dist}
License:	LGPLv2+
Group:		System Environment/Libraries
URL:		http://www.gtkmm.org/
Source0:	http://download.gnome.org/sources/cluttermm/0.9/%{name}-%{version}.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	doxygen
BuildRequires:	clutter-devel >= 1.0
BuildRequires:	graphviz
BuildRequires:	mm-common
BuildRequires:	pangomm-devel >= 2.24

%description
Cluttermm is a C++ interface for Clutter: a software library for creating
fast, visually rich graphical user interfaces.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries

Requires:	devhelp
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}.

%prep
%setup -q

%build
%configure --disable-silent-rules --docdir=%{_docdir}/%{name}-%{version}

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -delete

mv $RPM_BUILD_ROOT%{_docdir}/%{name}-1.0/reference .
pushd $RPM_BUILD_ROOT%{_docdir}/%{name}-1.0
  ln -s ../%{name}-devel-%{version}/reference reference
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog
%doc COPYING
%doc NEWS
%{_libdir}/libcluttermm-1.0.so.*

%files devel
%defattr(-,root,root,-)
%doc examples/actor.png
%doc examples/test-actors.cc
%doc examples/test-boxes.cc
%doc reference
%{_libdir}/libcluttermm-1.0.so
%{_libdir}/pkgconfig/%{name}-1.0.pc

%dir %{_datadir}/devhelp/books/%{name}-1.0
%{_datadir}/devhelp/books/%{name}-1.0/%{name}-1.0.devhelp2

%dir %{_datadir}/%{name}-1.0
%{_datadir}/%{name}-1.0/proc

%dir %{_docdir}/%{name}-1.0
%doc %{_docdir}/%{name}-1.0/reference

%dir %{_includedir}/%{name}-1.0
%{_includedir}/%{name}-1.0/%{name}
%{_includedir}/%{name}-1.0/%{name}.h

%dir %{_libdir}/%{name}-1.0
%{_libdir}/%{name}-1.0/include

%changelog
* Wed Sep 29 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.9.6-1
- update to 0.9.6

* Thu Apr 08 2010 Debarshi Ray <rishi@fedoraproject.org> - 0.9.5-1
- Version bump to 0.9.5.
  * Use Clutter 1.0. The pkg-config file has been renamed to cluttermm-1.0.
  * Removed deprecated Actor methods.
  * http://download.gnome.org/sources/cluttermm/0.9/cluttermm-0.9.5.news
  * http://download.gnome.org/sources/cluttermm/0.9/cluttermm-0.9.5.changes
- Added 'BuildRequires: mm-common'.
- Added 'Requires: devhelp' to cluttermm-devel.
- Dropped patch to work around Automake oddity.
- Omitted unused direct shared library dependencies.
- Install the documentation in /usr/share/clutter-devel-0.9.5/reference and
  put a symlink to it in /usr/share/clutter-1.0.
- Dropped AUTHORS and README.

* Mon Sep  7 2009 Denis Leroy <denis@poolshark.org> - 0.9.4-3.git20090907
- Updated to latest git, to compile against clutter 1.0 API
- Added patch to work around automake oddity

* Fri Jul 24 2009 Release Engineering <rel-eng@fedoraproject.org> - 0.9.4-2
- Autorebuild for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul  8 2009 Denis Leroy <denis@poolshark.org> - 0.9.4-1
- Update to upstream 0.9.4
- API update to 0.9

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Denis Leroy <denis@poolshark.org> - 0.7.5-1
- Update to upstream 0.7.5

* Thu Jan 15 2009 Denis Leroy <denis@poolshark.org> - 0.7.4-1
- Update to upstream 0.7.4

* Mon Sep 15 2008 Denis Leroy <denis@poolshark.org> - 0.7.3-2
- Fixed devel requires

* Sun Sep  7 2008 Denis Leroy <denis@poolshark.org> - 0.7.3-1
- Update to upstream 0.7.3
- Cairo and gtk parts are forked into their own tarballs

* Tue Jun  3 2008 Denis Leroy <denis@poolshark.org> - 0.5.1-2
- fixed gtkmm BR

* Mon Jun  2 2008 Denis Leroy <denis@poolshark.org> - 0.5.1-1
- Initial version, inspired by Rick Vinyard's initial work
